%define name	bins 
%define version 1.1.29
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A fully configurable HTML photo album generator
Source:		http://zubro.chez.tiscali.fr/BINS/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.1.26.completion.patch
Patch1:		%{name}-1.1.27.completion.patch
License:	GPL
Group:		Graphics
Url:		http://bins.sautret.org
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The aim of BINS is to generate static HTML photo albums.

%package gui
Summary:	GUI for %{name}
Group:		Graphics
Requires:	%{name} = %{version}
Requires:	perl-GTK-Glade
Requires:	perl-GTK-Gnome
Requires:	perl-GTK-GdkImlib
Requires:	perl-XML-DOM
Requires:	perl-XML-XQL
Requires:	perl-XML-Writer

%description gui
This is a graphical editor for BINS-format XML tag files.

%prep
%setup -q
%patch0
%patch1
perl  -pi -e 's|/usr/local|/usr|g' bins bins-edit-gui doc/*.html
chmod 644 templates.joi/static/*.css

%build

%install
rm -rf %{buildroot}
# binaries
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 bins bins_edit bins-edit-gui %{buildroot}%{_bindir}
# config
install -d -m 755 %{buildroot}%{_sysconfdir}/bins
install -m 644 binsrc %{buildroot}%{_sysconfdir}/bins
# data files
install -d -m 755 -p %{buildroot}%{_datadir}/bins
install -m 644 bins-edit-gui.glade %{buildroot}%{_datadir}/bins
cp -pr templates.* %{buildroot}%{_datadir}/bins
# man pages
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 doc/*.1 %{buildroot}%{_mandir}/man1
# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}
# i18n
langs="de eo es fi fr hu it ja nl pl ru zh_TW"
for L in $langs; do
	install -d -m 755 %{buildroot}%{_datadir}/locale/$L/LC_MESSAGES
	install -m 644 intl/$L.mo %{buildroot}%{_datadir}/locale/$L/LC_MESSAGES/bins.mo
	if [ -f  intl/gui-$L.mo ]; then
		install -m 644 intl/gui-$L.mo %{buildroot}%{_datadir}/locale/$L/LC_MESSAGES/bins-edit-gui.mo
	fi
done

%find_lang %{name} --all-name
mv %{name}.lang %{name}.lang.old
grep -v bins.mo %{name}.lang.old > %{name}-gui.lang
grep -v bins-edit-gui.mo %{name}.lang.old > %{name}.lang

# fix doc file perms
chmod 644 ChangeLog

%clean
rm -rf %{buildroot}

%files -f %{name}.lang 
%defattr(-,root,root)
%doc ChangeLog CREDITS LICENSE README TODO doc/*.html
%{_bindir}/bins
%{_bindir}/bins_edit
%config(noreplace) %{_sysconfdir}/bins
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%{_mandir}/man1/bins.1*
%{_mandir}/man1/bins_edit.1*
%dir %{_datadir}/bins
%{_datadir}/bins/templates.*

%files gui -f %{name}-gui.lang 
%defattr(-,root,root)
%doc README.gui RELEASE.gui
%{_bindir}/bins-edit-gui
%{_mandir}/man1/bins-edit-gui.1*
%{_datadir}/bins/bins-edit-gui.glade




%changelog
* Sun Aug 19 2007 Olivier Thauvin <nanardon@mandriva.org> 1.1.29-4mdv2008.0
+ Revision: 66711
- rebuild


* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/04/06 21:21:28 (52900)
- rebuild

* Fri Aug 04 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/04/06 21:17:36 (52898)
Import bins

* Mon Jan 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.29-2mdk
- fix dependencies (fix #20770)
- %%mkrel

* Mon Sep 05 2005 Olivier Thauvin <nanardon@mandriva.org> 1.1.29-1mdk
- 1.1.29

* Fri Apr 01 2005 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.27-2mdk 
- fix bash completion warning
- fix summary
- relax requires

* Mon Oct 25 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 1.1.27-1mdk
- New release 1.1.27
- rpmbuildupdate aware

* Sun Jul 11 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.26-2mdk 
- fixed bash completion
- fixed perms

* Tue May 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.26-1mdk
- new version

* Sat Feb 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.25-2mdk
- fixed zh_TW localisation file

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.25-1mdk
- new version
- patch 1 merged upstream

* Fri Dec 05 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.24-1mdk
- new version
- template now in /usr/share/bins (patch 1)
- added missing binaries
- added missing templates

* Thu Nov 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1.23-2mdk
- split gui in subpackage
- included missing translations

* Wed Sep 10 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1.23-1mdk
- 1.1.23

